<p align="center">
<img src="https://user-images.githubusercontent.com/43549176/110254984-525fb200-7f70-11eb-84f0-9afdcab9725a.png" height="200" /><br/>
<a href="https://github.com/NESCAU-UFLA/FuzzingTool/releases/latest">
<img src="https://img.shields.io/github/release/NESCAU-UFLA/fuzzingtool.svg?&color=darkred" />
</a>
<img src="https://img.shields.io/static/v1?label=python&message=3.6%20|%203.7%20|%203.8%20|%203.9&color=informational&logo=python" />
<img src="https://img.shields.io/static/v1?label=OS&message=GNU/Linux&color=orange&logo=linux" />
<a href="https://pypi.org/project/FuzzingTool/">
<img src="https://img.shields.io/pypi/dm/fuzzingtool.svg" />
</a>
<a href="https://github.com/NESCAU-UFLA/FuzzingTool/blob/master/LICENSE">
<img src="https://img.shields.io/static/v1?label=license&message=MIT&color=brightgreen" />
</a>
</p>

FuzzingTool is a web penetration testing tool, that handles with fuzzing. After the test is completed, all possible vulnerable entries (and the response data) are saved on a report file.
<br/>

## Disclaimer
We're not responsible for the misuse of this tool. This project was created for educational purposes and should not be used in environments without legal authorization.

## Screenshot
![usage-example](https://user-images.githubusercontent.com/43549176/130678553-3620b58e-9153-4efd-b84c-00a3e171e2b4.png)

## Getting Started
Before we start the *penetration testings*, take a look at the **installing** and **prerequisites**.

### Installing from Pypi
FuzzingTool is now on Pypi! You can install with:
```
$ pip install FuzzingTool
```

### Installing from source
If you want to install it manually, download the last release or clone this repository, and also follow the next prerequisites.

#### Prerequisites
 * Go to the project source folder, and run:
 ```
 $ pip install -r requirements.txt
 ```

### User's Manual
Reach out the user's manual (command list and usage examples) on our [wiki page](https://github.com/NESCAU-UFLA/FuzzingTool/wiki).

## Versioning
We use [SemVer](https://semver.org/) for versioning. For the versions available, see the [tags on this repository](https://github.com/NESCAU-UFLA/FuzzingTool/releases).

## Authors
 * **Vitor Oriel**
   * [GitHub](https://github.com/VitorOriel)
   * [Linkedin](https://www.linkedin.com/in/vitor-oriel-borges)
   * Email: vitorwixmix@gmail.com

## Contributing
If you want to contribute to FuzzingTool project, please read [CONTRIBUTING.md](https://github.com/NESCAU-UFLA/FuzzingTool/blob/master/.github/CONTRIBUTING.md).

## License
This project is licensed under the MIT License - see the [LICENSE](https://github.com/NESCAU-UFLA/FuzzingTool/blob/master/LICENSE) for details.